import { TdChartOptionsService, ITdItemStyle, ITdEmphasis, TdSeriesLayoutBy, ITdMarkPoint, ITdMarkLine, ITdMarkArea, ITdSeries, ITdLabel, ITdLabelLine, TdSeriesDirective } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdPieSeries extends ITdSeries {
    legendHoverLink?: boolean;
    hoverAnimation?: boolean;
    hoverOffset?: number;
    selectedMode?: boolean | string;
    selectedOffset?: number;
    clockwise?: boolean;
    startAngle?: number;
    minAngle?: number;
    minShowLabelAngle?: number;
    roseType?: boolean | string;
    avoidLabelOverlap?: boolean;
    stillShowZeroSum?: boolean;
    cursor?: string;
    labelLine?: ITdLabelLine;
    Label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    Zlevel?: 0;
    z?: number;
    center?: object;
    radius?: number | string | any[];
    silent?: boolean;
}
export declare class TdChartSeriesPieComponent extends TdSeriesDirective implements ITdPieSeries {
    legendHoverLink?: boolean;
    hoverAnimation?: boolean;
    hoverOffset?: number;
    selectedMode?: boolean | string;
    selectedOffset?: number;
    clockwise?: boolean;
    startAngle?: number;
    minAngle?: number;
    minShowLabelAngle?: number;
    roseType?: boolean | string;
    avoidLabelOverlap?: boolean;
    stillShowZeroSum?: boolean;
    cursor?: string;
    labelLine?: object;
    label?: any;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    center?: object;
    radius?: number | string | any[];
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesPieComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesPieComponent, "td-chart-series[td-pie]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "hoverAnimation": { "alias": "hoverAnimation"; "required": false; }; "hoverOffset": { "alias": "hoverOffset"; "required": false; }; "selectedMode": { "alias": "selectedMode"; "required": false; }; "selectedOffset": { "alias": "selectedOffset"; "required": false; }; "clockwise": { "alias": "clockwise"; "required": false; }; "startAngle": { "alias": "startAngle"; "required": false; }; "minAngle": { "alias": "minAngle"; "required": false; }; "minShowLabelAngle": { "alias": "minShowLabelAngle"; "required": false; }; "roseType": { "alias": "roseType"; "required": false; }; "avoidLabelOverlap": { "alias": "avoidLabelOverlap"; "required": false; }; "stillShowZeroSum": { "alias": "stillShowZeroSum"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "labelLine": { "alias": "labelLine"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "seriesLayoutBy": { "alias": "seriesLayoutBy"; "required": false; }; "datasetIndex": { "alias": "datasetIndex"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "center": { "alias": "center"; "required": false; }; "radius": { "alias": "radius"; "required": false; }; }, {}, never, never, false, never>;
}
