import { TdChartOptionsService, ITdItemStyle, TdMarkPointSymbol, ITdLabel, ITdLineStyle, ITdSeries, TdSeriesDirective, ITdEmphasis, ITdShadow } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
/**
 * ECHART OPTION DOCS
 * https://ecomfe.github.io/echarts-doc/public/en/option.html#series-tree
 *
 */
/**
 * LR - from left to right
 * RL - from right to left
 * TB - from top to bottom
 * BT - from bottom to top
 */
export type TdTreeOrient = 'LR' | 'RL' | 'TB' | 'BT';
export type TdTreeLayout = 'orthogonal' | 'radial';
export interface ITdTreeEmphasisLineStyle extends ITdShadow {
    color?: any;
    width?: number;
    curveness?: number;
}
export interface ITdTreeEmphasis extends ITdEmphasis {
    lineStyle: ITdTreeEmphasisLineStyle;
}
export interface ITdTreeLeaves {
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
}
interface ITdTreeSeries extends ITdSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    layout?: TdTreeLayout;
    orient?: TdTreeOrient;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    roam?: boolean | string;
    expandAndCollapse?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    lineStyle?: ITdLineStyle;
    leaves?: ITdTreeLeaves;
    emphasis?: ITdTreeEmphasis;
    data?: any[];
}
export declare class TdChartSeriesTreeComponent extends TdSeriesDirective implements ITdTreeSeries {
    zlevel?: number;
    z?: number;
    left?: string | number;
    top?: string | number;
    right?: string | number;
    bottom?: string | number;
    width?: string | number;
    height?: string | number;
    layout?: TdTreeLayout;
    orient?: TdTreeOrient;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    roam?: boolean | string;
    expandAndCollapse?: boolean;
    initialTreeDepth?: number;
    itemStyle?: ITdItemStyle;
    label?: ITdLabel;
    lineStyle?: ITdLineStyle;
    leaves?: ITdTreeLeaves;
    emphasis?: ITdTreeEmphasis;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesTreeComponent, "td-chart-series[td-tree]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "orient": { "alias": "orient"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; "symbolSize": { "alias": "symbolSize"; "required": false; }; "symbolRotate": { "alias": "symbolRotate"; "required": false; }; "symbolKeepAspect": { "alias": "symbolKeepAspect"; "required": false; }; "roam": { "alias": "roam"; "required": false; }; "expandAndCollapse": { "alias": "expandAndCollapse"; "required": false; }; "initialTreeDepth": { "alias": "initialTreeDepth"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "label": { "alias": "label"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "leaves": { "alias": "leaves"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; }, {}, never, never, false, never>;
}
export {};
